Index: palm/trunk/SOURCE/advec_ws.f90
===================================================================
--- palm/trunk/SOURCE/advec_ws.f90	(revision 2199)
+++ palm/trunk/SOURCE/advec_ws.f90	(revision 2200)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! ------------------
-! 
+! monotonic_adjustment removed
 ! 
 ! Former revisions:
@@ -245,5 +245,5 @@
        USE control_parameters,                                                 &
            ONLY:  cloud_physics, humidity, loop_optimization,                  &
-                  monotonic_adjustment, passive_scalar, microphysics_seifert,  &
+                  passive_scalar, microphysics_seifert,                        &
                   ocean, ws_scheme_mom, ws_scheme_sca
 
@@ -258,5 +258,5 @@
            ONLY:  sums_us2_ws_l, sums_vs2_ws_l, sums_ws2_ws_l, sums_wsnrs_ws_l,&
                   sums_wspts_ws_l, sums_wsqrs_ws_l, sums_wsqs_ws_l,            &
-                  sums_wsss_ws_l, sums_wssas_ws_l,  sums_wsss_ws_l,               &
+                  sums_wsss_ws_l, sums_wssas_ws_l,  sums_wsss_ws_l,            &
                   sums_wsus_ws_l, sums_wsvs_ws_l  
 
@@ -418,6 +418,5 @@
    
 
-       IF ( scalar_advec == 'ws-scheme' .OR.                                   &
-            scalar_advec == 'ws-scheme-mono' )  THEN
+       IF ( scalar_advec == 'ws-scheme' )  THEN
 !
 !--       Set flags to steer the degradation of the advection scheme in advec_ws
@@ -803,6 +802,6 @@
 !
 !--    Exchange 3D integer wall_flags.
-       IF ( momentum_advec == 'ws-scheme' .OR. scalar_advec == 'ws-scheme'  &
-       .OR. scalar_advec == 'ws-scheme-mono' )  THEN  
+       IF ( momentum_advec == 'ws-scheme' .OR. scalar_advec == 'ws-scheme'     &
+          )  THEN  
 !
 !--       Exchange ghost points for advection flags
@@ -901,6 +900,5 @@
 
        USE control_parameters,                                                 &
-           ONLY:  intermediate_timestep_count, monotonic_adjustment, u_gtrans, &
-                  v_gtrans 
+           ONLY:  intermediate_timestep_count, u_gtrans, v_gtrans 
 
        USE grid_variables,                                                     &
@@ -946,22 +944,4 @@
        REAL(wp)     ::  div    !<
        REAL(wp)     ::  flux_d !<
-       REAL(wp)     ::  fd_1   !<
-       REAL(wp)     ::  fl_1   !<
-       REAL(wp)     ::  fn_1   !<
-       REAL(wp)     ::  fr_1   !<
-       REAL(wp)     ::  fs_1   !<
-       REAL(wp)     ::  ft_1   !<
-       REAL(wp)     ::  phi_d  !<
-       REAL(wp)     ::  phi_l  !<
-       REAL(wp)     ::  phi_n  !<
-       REAL(wp)     ::  phi_r  !<
-       REAL(wp)     ::  phi_s  !<
-       REAL(wp)     ::  phi_t  !<
-       REAL(wp)     ::  rd     !<
-       REAL(wp)     ::  rl     !<
-       REAL(wp)     ::  rn     !<
-       REAL(wp)     ::  rr     !<
-       REAL(wp)     ::  rs     !<
-       REAL(wp)     ::  rt     !<
        REAL(wp)     ::  u_comp !<
        REAL(wp)     ::  v_comp !<
@@ -1232,142 +1212,4 @@
                              ( sk(k_ppp,j,i) - sk(k_mm,j,i) )                 &
                                          )
-!
-!--       Apply monotonic adjustment.
-          IF ( monotonic_adjustment )  THEN
-!
-!--          At first, calculate first order fluxes.
-             u_comp = u(k,j,i) - u_gtrans
-             fl_1   =  ( u_comp   * ( sk(k,j,i) + sk(k,j,i-1) )               &
-                   -ABS( u_comp ) * ( sk(k,j,i) - sk(k,j,i-1) )               &
-                       ) * adv_sca_1 
-
-             u_comp = u(k,j,i+1) - u_gtrans
-             fr_1   =  ( u_comp   * ( sk(k,j,i+1) + sk(k,j,i) )               &
-                   -ABS( u_comp ) * ( sk(k,j,i+1) - sk(k,j,i) )               &
-                       ) * adv_sca_1 
-
-             v_comp = v(k,j,i) - v_gtrans
-             fs_1   =  ( v_comp   * ( sk(k,j,i) + sk(k,j-1,i) )               &
-                   -ABS( v_comp ) * ( sk(k,j,i) - sk(k,j-1,i) )               &
-                       ) * adv_sca_1 
-
-             v_comp = v(k,j+1,i) - v_gtrans
-             fn_1   =  ( v_comp   * ( sk(k,j+1,i) + sk(k,j,i) )               &
-                   -ABS( v_comp ) * ( sk(k,j+1,i) - sk(k,j,i) )               &
-                       ) * adv_sca_1 
-
-             fd_1   =  ( w(k-1,j,i)   * ( sk(k,j,i) + sk(k-1,j,i) )           &
-                   -ABS( w(k-1,j,i) ) * ( sk(k,j,i) - sk(k-1,j,i) )           &
-                       ) * adv_sca_1 * rho_air_zw(k)
-
-             ft_1   =  ( w(k,j,i)   * ( sk(k+1,j,i) + sk(k,j,i) )             &
-                   -ABS( w(k,j,i) ) * ( sk(k+1,j,i) - sk(k,j,i) )             &
-                      ) * adv_sca_1 * rho_air_zw(k)
-!
-!--          Calculate ratio of upwind gradients. Note, Min/Max is just to 
-!--          avoid if statements.
-             rl     = ( MAX( 0.0_wp, u(k,j,i) - u_gtrans ) *                  & 
-                           ABS( ( sk(k,j,i-1) - sk(k,j,i-2)            ) /    &
-                                ( sk(k,j,i)   - sk(k,j,i-1) + 1E-20_wp )      &
-                              ) +                                             & 
-                        MIN( 0.0_wp, u(k,j,i) - u_gtrans ) *                  &
-                           ABS( ( sk(k,j,i)   - sk(k,j,i+1)            ) /    &
-                                ( sk(k,j,i-1) - sk(k,j,i)   + 1E-20_wp )      &
-                              )                                               &
-                      ) / ABS( u(k,j,i) - u_gtrans + 1E-20_wp )
-
-             rr     = ( MAX( 0.0_wp, u(k,j,i+1) - u_gtrans ) *                & 
-                           ABS( ( sk(k,j,i)   - sk(k,j,i-1)            ) /    &
-                                ( sk(k,j,i+1) - sk(k,j,i)   + 1E-20_wp )      &
-                              ) +                                             & 
-                        MIN( 0.0_wp, u(k,j,i+1) - u_gtrans ) *                &
-                           ABS( ( sk(k,j,i+1) - sk(k,j,i+2)            ) /    &
-                                ( sk(k,j,i)   - sk(k,j,i+1) + 1E-20_wp )      &
-                              )                                               &
-                      ) / ABS( u(k,j,i+1) - u_gtrans + 1E-20_wp )
-
-             rs     = ( MAX( 0.0_wp, v(k,j,i) - v_gtrans ) *                  & 
-                           ABS( ( sk(k,j-1,i) - sk(k,j-2,i)            ) /    &
-                                ( sk(k,j,i)   - sk(k,j-1,i) + 1E-20_wp )      &
-                              ) +                                             & 
-                        MIN( 0.0_wp, v(k,j,i) - v_gtrans ) *                  &
-                           ABS( ( sk(k,j,i)   - sk(k,j+1,i)            ) /    &
-                                ( sk(k,j-1,i) - sk(k,j,i)   + 1E-20_wp )      &
-                              )                                               &
-                      ) / ABS( v(k,j,i) - v_gtrans + 1E-20_wp )
-
-             rn     = ( MAX( 0.0_wp, v(k,j+1,i) - v_gtrans ) *                & 
-                           ABS( ( sk(k,j,i)   - sk(k,j-1,i)            ) /    &
-                                ( sk(k,j+1,i) - sk(k,j,i)   + 1E-20_wp )      &
-                              ) +                                             & 
-                       MIN( 0.0_wp, v(k,j+1,i) - v_gtrans ) *                 &
-                           ABS( ( sk(k,j+1,i) - sk(k,j+2,i)            ) /    &
-                                ( sk(k,j,i)   - sk(k,j+1,i) + 1E-20_wp )      &
-                              )                                               &
-                      ) / ABS( v(k,j+1,i) - v_gtrans + 1E-20_wp )     
-!   
-!--          Reuse k_mm and compute k_mmm for the vertical gradient ratios. 
-!--          Note, for vertical advection below the third grid point above 
-!--          surface ( or below the model top) rd and rt are set to 0, i.e. 
-!--          use of first order scheme is enforced.
-             k_mmm  = k - 3 * ibit8
-
-             rd     = ( MAX( 0.0_wp, w(k-1,j,i) ) *                           & 
-                           ABS( ( sk(k_mm,j,i) - sk(k_mmm,j,i)           ) /  &
-                                ( sk(k-1,j,i)  - sk(k_mm,j,i) + 1E-20_wp )    &
-                              ) +                                             & 
-                        MIN( 0.0_wp, w(k-1,j,i) ) *                           &
-                           ABS( ( sk(k-1,j,i) - sk(k,j,i)            ) /      &
-                                ( sk(k_mm,j,i) - sk(k-1,j,i)   + 1E-20_wp )   &
-                              )                                               &
-                      ) * ibit8 / ABS( w(k-1,j,i) + 1E-20_wp ) 
- 
-             rt     = ( MAX( 0.0_wp, w(k,j,i) ) *                             & 
-                           ABS( ( sk(k,j,i)   - sk(k-1,j,i)            ) /    &
-                                ( sk(k+1,j,i) - sk(k,j,i)   + 1E-20_wp )      &
-                              ) +                                             & 
-                        MIN( 0.0_wp, w(k,j,i) ) *                             &
-                           ABS( ( sk(k+1,j,i) - sk(k_pp,j,i)           ) /    &
-                                ( sk(k,j,i)   - sk(k+1,j,i) + 1E-20_wp )      &
-                              )                                               &
-                      ) * ibit8 / ABS( w(k,j,i) + 1E-20_wp )
-!
-!--           Calculate empirical limiter function (van Albada2 limiter).
-              phi_l = MIN( 1.0_wp, ( 2.0_wp * ABS( rl ) ) /                   &
-                                         ( rl**2 + 1.0_wp ) ) 
-              phi_r = MIN( 1.0_wp, ( 2.0_wp * ABS( rr ) ) /                   &
-                                         ( rr**2 + 1.0_wp ) ) 
-              phi_s = MIN( 1.0_wp, ( 2.0_wp * ABS( rs ) ) /                   &
-                                         ( rs**2 + 1.0_wp ) ) 
-              phi_n = MIN( 1.0_wp, ( 2.0_wp * ABS( rn ) ) /                   &
-                                         ( rn**2 + 1.0_wp ) ) 
-              phi_d = MIN( 1.0_wp, ( 2.0_wp * ABS( rd ) ) /                   &
-                                         ( rd**2 + 1.0_wp ) ) 
-              phi_t = MIN( 1.0_wp, ( 2.0_wp * ABS( rt ) ) /                   &
-                                         ( rt**2 + 1.0_wp ) ) 
-!
-!--           Calculate the resulting monotone flux. 
-              swap_flux_x_local(k,j,tn) = fl_1 - phi_l *                      &
-                                        ( fl_1 - swap_flux_x_local(k,j,tn)  )
-              flux_r(k)                 = fr_1 - phi_r *                      &
-                                        ( fr_1 - flux_r(k)                  )
-              swap_flux_y_local(k,tn)   = fs_1 - phi_s *                      &
-                                        ( fs_1 - swap_flux_y_local(k,tn)    )
-              flux_n(k)                 = fn_1 - phi_n *                      &
-                                        ( fn_1 - flux_n(k)                  )
-              flux_d                    = fd_1 - phi_d *                      &
-                                        ( fd_1 - flux_d                     )
-              flux_t(k)                 = ft_1 - phi_t *                      &
-                                        ( ft_1 - flux_t(k)                  )
-!
-!--          Moreover, modify dissipation flux according to the limiter. 
-             swap_diss_x_local(k,j,tn) = swap_diss_x_local(k,j,tn) * phi_l
-             diss_r(k)                 = diss_r(k)                 * phi_r
-             swap_diss_y_local(k,tn)   = swap_diss_y_local(k,tn)   * phi_s
-             diss_n(k)                 = diss_n(k)                 * phi_n
-             diss_d                    = diss_d                    * phi_d
-             diss_t(k)                 = diss_t(k)                 * phi_t
-
-          ENDIF
 !
 !--       Calculate the divergence of the velocity field. A respective
@@ -1478,144 +1320,4 @@
                              ( sk(k_ppp,j,i) - sk(k_mm,j,i) )                 &
                                          )
-
-
-!
-!--       Apply monotonic adjustment.
-          IF ( monotonic_adjustment )  THEN
-!
-!--          At first, calculate first order fluxes.
-             u_comp = u(k,j,i) - u_gtrans
-             fl_1   =  ( u_comp   * ( sk(k,j,i) + sk(k,j,i-1) )               &
-                   -ABS( u_comp ) * ( sk(k,j,i) - sk(k,j,i-1) )               &
-                       ) * adv_sca_1 
-
-             u_comp = u(k,j,i+1) - u_gtrans
-             fr_1   =  ( u_comp   * ( sk(k,j,i+1) + sk(k,j,i) )               &
-                   -ABS( u_comp ) * ( sk(k,j,i+1) - sk(k,j,i) )               &
-                       ) * adv_sca_1 
-
-             v_comp = v(k,j,i) - v_gtrans
-             fs_1   =  ( v_comp   * ( sk(k,j,i) + sk(k,j-1,i) )               &
-                   -ABS( v_comp ) * ( sk(k,j,i) - sk(k,j-1,i) )               &
-                       ) * adv_sca_1 
-
-             v_comp = v(k,j+1,i) - v_gtrans
-             fn_1   =  ( v_comp   * ( sk(k,j+1,i) + sk(k,j,i) )               &
-                   -ABS( v_comp ) * ( sk(k,j+1,i) - sk(k,j,i) )               &
-                       ) * adv_sca_1 
-
-             fd_1   =  ( w(k-1,j,i)   * ( sk(k,j,i) + sk(k-1,j,i) )           &
-                   -ABS( w(k-1,j,i) ) * ( sk(k,j,i) - sk(k-1,j,i) )           &
-                       ) * adv_sca_1  * rho_air_zw(k)
-
-             ft_1   =  ( w(k,j,i)   * ( sk(k+1,j,i) + sk(k,j,i) )             &
-                   -ABS( w(k,j,i) ) * ( sk(k+1,j,i) - sk(k,j,i) )             &
-                       ) * adv_sca_1  * rho_air_zw(k)
-!
-!--          Calculate ratio of upwind gradients. Note, Min/Max is just to 
-!--          avoid if statements. 
-             rl     = ( MAX( 0.0_wp, u(k,j,i) - u_gtrans ) *                  & 
-                           ABS( ( sk(k,j,i-1) - sk(k,j,i-2)            ) /    &
-                                ( sk(k,j,i)   - sk(k,j,i-1) + 1E-20_wp )      &
-                              ) +                                             & 
-                        MIN( 0.0_wp, u(k,j,i) - u_gtrans ) *                  &
-                           ABS( ( sk(k,j,i)   - sk(k,j,i+1)            ) /    &
-                                ( sk(k,j,i-1) - sk(k,j,i)   + 1E-20_wp )      &
-                              )                                               &
-                      ) / ABS( u(k,j,i) - u_gtrans + 1E-20_wp )
-
-             rr     = ( MAX( 0.0_wp, u(k,j,i+1) - u_gtrans ) *                & 
-                           ABS( ( sk(k,j,i)   - sk(k,j,i-1)            ) /    &
-                                ( sk(k,j,i+1) - sk(k,j,i)   + 1E-20_wp )      &
-                              ) +                                             & 
-                        MIN( 0.0_wp, u(k,j,i+1) - u_gtrans ) *                &
-                           ABS( ( sk(k,j,i+1) - sk(k,j,i+2)            ) /    &
-                                ( sk(k,j,i)   - sk(k,j,i+1) + 1E-20_wp )      &
-                              )                                               &
-                      ) / ABS( u(k,j,i+1) - u_gtrans + 1E-20_wp )
-
-             rs     = ( MAX( 0.0_wp, v(k,j,i) - v_gtrans ) *                  & 
-                           ABS( ( sk(k,j-1,i) - sk(k,j-2,i)            ) /    &
-                                ( sk(k,j,i)   - sk(k,j-1,i) + 1E-20_wp )      &
-                              ) +                                             & 
-                        MIN( 0.0_wp, v(k,j,i) - v_gtrans ) *                  &
-                           ABS( ( sk(k,j,i)   - sk(k,j+1,i)            ) /    &
-                                ( sk(k,j-1,i) - sk(k,j,i)   + 1E-20_wp )      &
-                              )                                               &
-                      ) / ABS( v(k,j,i) - v_gtrans + 1E-20_wp )
-
-             rn     = ( MAX( 0.0_wp, v(k,j+1,i) - v_gtrans ) *                & 
-                           ABS( ( sk(k,j,i)   - sk(k,j-1,i)            ) /    &
-                                ( sk(k,j+1,i) - sk(k,j,i)   + 1E-20_wp )      &
-                              ) +                                             & 
-                       MIN( 0.0_wp, v(k,j+1,i) - v_gtrans ) *                 &
-                           ABS( ( sk(k,j+1,i) - sk(k,j+2,i)            ) /    &
-                                ( sk(k,j,i)   - sk(k,j+1,i) + 1E-20_wp )      &
-                              )                                               &
-                      ) / ABS( v(k,j+1,i) - v_gtrans + 1E-20_wp )     
-!
-!--          Reuse k_mm and compute k_mmm for the vertical gradient ratios. 
-!--          Note, for vertical advection below the third grid point above 
-!--          surface ( or below the model top) rd and rt are set to 0, i.e. 
-!--          use of first order scheme is enforced.
-             k_mmm  = k - 3 * ibit8
-
-             rd     = ( MAX( 0.0_wp, w(k-1,j,i) ) *                           & 
-                           ABS( ( sk(k_mm,j,i) - sk(k_mmm,j,i)           ) /  &
-                                ( sk(k-1,j,i)  - sk(k_mm,j,i) + 1E-20_wp )    &
-                              ) +                                             & 
-                        MIN( 0.0_wp, w(k-1,j,i) ) *                           &
-                           ABS( ( sk(k-1,j,i) - sk(k,j,i)            ) /      &
-                                ( sk(k_mm,j,i) - sk(k-1,j,i)   + 1E-20_wp )   &
-                              )                                               &
-                      ) * ibit8 / ABS( w(k-1,j,i) + 1E-20_wp ) 
- 
-             rt     = ( MAX( 0.0_wp, w(k,j,i) ) *                             & 
-                           ABS( ( sk(k,j,i)   - sk(k-1,j,i)            ) /    &
-                                ( sk(k+1,j,i) - sk(k,j,i)   + 1E-20_wp )      &
-                              ) +                                             & 
-                        MIN( 0.0_wp, w(k,j,i) ) *                             &
-                           ABS( ( sk(k+1,j,i) - sk(k_pp,j,i)           ) /    &
-                                ( sk(k,j,i)   - sk(k+1,j,i) + 1E-20_wp )      &
-                              )                                               &
-                      ) * ibit8 / ABS( w(k,j,i) + 1E-20_wp ) 
-!
-!--           Calculate empirical limiter function (van Albada2 limiter).
-              phi_l = MIN( 1.0_wp, ( 2.0_wp * ABS( rl ) ) /                   &
-                                         ( rl**2 + 1.0_wp ) ) 
-              phi_r = MIN( 1.0_wp, ( 2.0_wp * ABS( rr ) ) /                   &
-                                         ( rr**2 + 1.0_wp ) ) 
-              phi_s = MIN( 1.0_wp, ( 2.0_wp * ABS( rs ) ) /                   &
-                                         ( rs**2 + 1.0_wp ) ) 
-              phi_n = MIN( 1.0_wp, ( 2.0_wp * ABS( rn ) ) /                   &
-                                         ( rn**2 + 1.0_wp ) ) 
-              phi_d = MIN( 1.0_wp, ( 2.0_wp * ABS( rd ) ) /                   &
-                                         ( rd**2 + 1.0_wp ) ) 
-              phi_t = MIN( 1.0_wp, ( 2.0_wp * ABS( rt ) ) /                   &
-                                         ( rt**2 + 1.0_wp ) ) 
-!
-!--           Calculate the resulting monotone flux. 
-              swap_flux_x_local(k,j,tn) = fl_1 - phi_l *                      &
-                                        ( fl_1 - swap_flux_x_local(k,j,tn)  )
-              flux_r(k)                 = fr_1 - phi_r *                      &
-                                        ( fr_1 - flux_r(k)                  )
-              swap_flux_y_local(k,tn)   = fs_1 - phi_s *                      &
-                                        ( fs_1 - swap_flux_y_local(k,tn)    )
-              flux_n(k)                 = fn_1 - phi_n *                      &
-                                        ( fn_1 - flux_n(k)                  )
-              flux_d                    = fd_1 - phi_d *                      &
-                                        ( fd_1 - flux_d                     )
-              flux_t(k)                 = ft_1 - phi_t *                      &
-                                        ( ft_1 - flux_t(k)                  )
-!
-!--          Moreover, modify dissipation flux according to the limiter. 
-             swap_diss_x_local(k,j,tn) = swap_diss_x_local(k,j,tn) * phi_l
-             diss_r(k)                 = diss_r(k)                 * phi_r
-             swap_diss_y_local(k,tn)   = swap_diss_y_local(k,tn)   * phi_s
-             diss_n(k)                 = diss_n(k)                 * phi_n
-             diss_d                    = diss_d                    * phi_d
-             diss_t(k)                 = diss_t(k)                 * phi_t
-
-          ENDIF
 !
 !--       Calculate the divergence of the velocity field. A respective
@@ -3207,6 +2909,5 @@
 
        USE control_parameters,                                                &
-           ONLY:  intermediate_timestep_count, monotonic_adjustment, u_gtrans,&
-                  v_gtrans 
+           ONLY:  intermediate_timestep_count, u_gtrans, v_gtrans 
 
        USE grid_variables,                                                    &
@@ -3255,22 +2956,4 @@
        REAL(wp) ::  div    !<
        REAL(wp) ::  flux_d !<
-       REAL(wp) ::  fd_1   !<
-       REAL(wp) ::  fl_1   !<
-       REAL(wp) ::  fn_1   !<
-       REAL(wp) ::  fr_1   !<
-       REAL(wp) ::  fs_1   !<
-       REAL(wp) ::  ft_1   !<
-       REAL(wp) ::  phi_d  !<
-       REAL(wp) ::  phi_l  !<
-       REAL(wp) ::  phi_n  !<
-       REAL(wp) ::  phi_r  !<
-       REAL(wp) ::  phi_s  !<
-       REAL(wp) ::  phi_t  !<
-       REAL(wp) ::  rd     !<
-       REAL(wp) ::  rl     !<
-       REAL(wp) ::  rn     !<
-       REAL(wp) ::  rr     !<
-       REAL(wp) ::  rs     !<
-       REAL(wp) ::  rt     !<
        REAL(wp) ::  u_comp !<
        REAL(wp) ::  v_comp !<
@@ -3530,142 +3213,4 @@
                                    ( sk(k_ppp,j,i) - sk(k_mm,j,i) )           &
                                                )
-!
-!--             Apply monotonic adjustment.
-                IF ( monotonic_adjustment )  THEN
-!
-!--                At first, calculate first order fluxes.
-                   u_comp = u(k,j,i) - u_gtrans
-                   fl_1   =  ( u_comp   * ( sk(k,j,i) + sk(k,j,i-1) )         &
-                         -ABS( u_comp ) * ( sk(k,j,i) - sk(k,j,i-1) )         &
-                             ) * adv_sca_1 
-
-                   u_comp = u(k,j,i+1) - u_gtrans
-                   fr_1   =  ( u_comp   * ( sk(k,j,i+1) + sk(k,j,i) )         &
-                         -ABS( u_comp ) * ( sk(k,j,i+1) - sk(k,j,i) )         &
-                             ) * adv_sca_1 
-
-                   v_comp = v(k,j,i) - v_gtrans
-                   fs_1   =  ( v_comp   * ( sk(k,j,i) + sk(k,j-1,i) )         &
-                         -ABS( v_comp ) * ( sk(k,j,i) - sk(k,j-1,i) )         &
-                             ) * adv_sca_1 
-
-                   v_comp = v(k,j+1,i) - v_gtrans
-                   fn_1   =  ( v_comp   * ( sk(k,j+1,i) + sk(k,j,i) )         &
-                         -ABS( v_comp ) * ( sk(k,j+1,i) - sk(k,j,i) )         &
-                             ) * adv_sca_1 
-
-                   fd_1   = (  w(k-1,j,i)   * ( sk(k,j,i) + sk(k-1,j,i) )     &
-                         -ABS( w(k-1,j,i) ) * ( sk(k,j,i) - sk(k-1,j,i) )     &
-                            ) * adv_sca_1 * rho_air_zw(k)
-
-                   ft_1   = (  w(k,j,i)   * ( sk(k+1,j,i) + sk(k,j,i) )       &
-                         -ABS( w(k,j,i) ) * ( sk(k+1,j,i) - sk(k,j,i) )       &
-                            ) * adv_sca_1 * rho_air_zw(k)
-!
-!--                Calculate ratio of upwind gradients. Note, Min/Max is just
-!--                to avoid if statements.
-                   rl     = ( MAX( 0.0_wp, u(k,j,i) - u_gtrans ) *            & 
-                               ABS( ( sk(k,j,i-1) - sk(k,j,i-2)            ) /&
-                                    ( sk(k,j,i)   - sk(k,j,i-1) + 1E-20_wp )  &
-                                  ) +                                         & 
-                              MIN( 0.0_wp, u(k,j,i) - u_gtrans ) *            &
-                               ABS( ( sk(k,j,i)   - sk(k,j,i+1)            ) /&
-                                    ( sk(k,j,i-1) - sk(k,j,i)   + 1E-20_wp )  &
-                                  )                                           &
-                            ) / ABS( u(k,j,i) - u_gtrans + 1E-20_wp )
-
-                   rr     = ( MAX( 0.0_wp, u(k,j,i+1) - u_gtrans ) *          & 
-                               ABS( ( sk(k,j,i)   - sk(k,j,i-1)            ) /&
-                                    ( sk(k,j,i+1) - sk(k,j,i)   + 1E-20_wp )  &
-                                  ) +                                         & 
-                              MIN( 0.0_wp, u(k,j,i+1) - u_gtrans ) *          &
-                               ABS( ( sk(k,j,i+1) - sk(k,j,i+2)            ) /&
-                                    ( sk(k,j,i)   - sk(k,j,i+1) + 1E-20_wp )  &
-                                  )                                           &
-                            ) / ABS( u(k,j,i+1) - u_gtrans + 1E-20_wp )
-
-                   rs     = ( MAX( 0.0_wp, v(k,j,i) - v_gtrans ) *            & 
-                               ABS( ( sk(k,j-1,i) - sk(k,j-2,i)            ) /&
-                                    ( sk(k,j,i)   - sk(k,j-1,i) + 1E-20_wp )  &
-                                  ) +                                         & 
-                              MIN( 0.0_wp, v(k,j,i) - v_gtrans ) *            &
-                               ABS( ( sk(k,j,i)   - sk(k,j+1,i)            ) /&
-                                    ( sk(k,j-1,i) - sk(k,j,i)   + 1E-20_wp )  &
-                                  )                                           &
-                            ) / ABS( v(k,j,i) - v_gtrans + 1E-20_wp )
-
-                   rn     = ( MAX( 0.0_wp, v(k,j+1,i) - v_gtrans ) *          & 
-                               ABS( ( sk(k,j,i)   - sk(k,j-1,i)            ) /&
-                                    ( sk(k,j+1,i) - sk(k,j,i)   + 1E-20_wp )  &
-                                  ) +                                         & 
-                              MIN( 0.0_wp, v(k,j+1,i) - v_gtrans ) *          &
-                               ABS( ( sk(k,j+1,i) - sk(k,j+2,i)            ) /&
-                                    ( sk(k,j,i)   - sk(k,j+1,i) + 1E-20_wp )  &
-                                  )                                           &
-                            ) / ABS( v(k,j+1,i) - v_gtrans + 1E-20_wp )     
-!   
-!--                Reuse k_mm and compute k_mmm for the vertical gradient ratios. 
-!--                Note, for vertical advection below the third grid point above 
-!--                surface ( or below the model top) rd and rt are set to 0, i.e. 
-!--                use of first order scheme is enforced.
-                   k_mmm  = k - 3 * ibit8
-
-                   rd     = ( MAX( 0.0_wp, w(k-1,j,i) ) *                     & 
-                            ABS( ( sk(k_mm,j,i) - sk(k_mmm,j,i)           ) / &
-                                 ( sk(k-1,j,i)  - sk(k_mm,j,i) + 1E-20_wp )   &
-                               ) +                                            & 
-                              MIN( 0.0_wp, w(k-1,j,i) ) *                     &
-                            ABS( ( sk(k-1,j,i) - sk(k,j,i)            ) /     &
-                                 ( sk(k_mm,j,i) - sk(k-1,j,i)   + 1E-20_wp )  &
-                               )                                              &
-                            ) * ibit8 / ABS( w(k-1,j,i) + 1E-20_wp ) 
- 
-                   rt     = ( MAX( 0.0_wp, w(k,j,i) ) *                       & 
-                            ABS( ( sk(k,j,i)   - sk(k-1,j,i)            ) /   &
-                                 ( sk(k+1,j,i) - sk(k,j,i)   + 1E-20_wp )     &
-                               ) +                                            & 
-                              MIN( 0.0_wp, w(k,j,i) ) *                       &
-                            ABS( ( sk(k+1,j,i) - sk(k_pp,j,i)           ) /   &
-                                 ( sk(k,j,i)   - sk(k+1,j,i) + 1E-20_wp )     &
-                               )                                              &
-                            ) * ibit8 / ABS( w(k,j,i) + 1E-20_wp )
-!
-!--                Calculate empirical limiter function (van Albada2 limiter).
-                   phi_l = MIN( 1.0_wp, ( 2.0_wp * ABS( rl ) ) /              &
-                                        ( rl**2 + 1.0_wp ) ) 
-                   phi_r = MIN( 1.0_wp, ( 2.0_wp * ABS( rr ) ) /              &
-                                        ( rr**2 + 1.0_wp ) ) 
-                   phi_s = MIN( 1.0_wp, ( 2.0_wp * ABS( rs ) ) /              &
-                                        ( rs**2 + 1.0_wp ) ) 
-                   phi_n = MIN( 1.0_wp, ( 2.0_wp * ABS( rn ) ) /              &
-                                        ( rn**2 + 1.0_wp ) ) 
-                   phi_d = MIN( 1.0_wp, ( 2.0_wp * ABS( rd ) ) /              &
-                                        ( rd**2 + 1.0_wp ) ) 
-                   phi_t = MIN( 1.0_wp, ( 2.0_wp * ABS( rt ) ) /              &
-                                        ( rt**2 + 1.0_wp ) ) 
-!
-!--                Calculate the resulting monotone flux. 
-                   swap_flux_x_local(k,j) = fl_1 - phi_l *                    &
-                                          ( fl_1 - swap_flux_x_local(k,j) )
-                   flux_r(k)              = fr_1 - phi_r *                    &
-                                          ( fr_1 - flux_r(k)              )
-                   swap_flux_y_local(k)   = fs_1 - phi_s *                    &
-                                          ( fs_1 - swap_flux_y_local(k)   )
-                   flux_n(k)              = fn_1 - phi_n *                    &
-                                          ( fn_1 - flux_n(k)              )
-                   flux_d                 = fd_1 - phi_d *                    &
-                                          ( fd_1 - flux_d                 )
-                   flux_t(k)              = ft_1 - phi_t *                    &
-                                          ( ft_1 - flux_t(k)              )
-!
-!--                Moreover, modify dissipation flux according to the limiter. 
-                   swap_diss_x_local(k,j) = swap_diss_x_local(k,j) * phi_l
-                   diss_r(k)              = diss_r(k)              * phi_r
-                   swap_diss_y_local(k)   = swap_diss_y_local(k)   * phi_s
-                   diss_n(k)              = diss_n(k)              * phi_n
-                   diss_d                 = diss_d                 * phi_d
-                   diss_t(k)              = diss_t(k)              * phi_t
-
-                ENDIF
 !
 !--             Calculate the divergence of the velocity field. A respective
@@ -3774,142 +3319,4 @@
                                    ( sk(k_ppp,j,i) - sk(k_mm,j,i) )           &
                                                )
-!
-!--             Apply monotonic adjustment.
-                IF ( monotonic_adjustment )  THEN
-!
-!--                At first, calculate first order fluxes.
-                   u_comp = u(k,j,i) - u_gtrans
-                   fl_1   =  ( u_comp   * ( sk(k,j,i) + sk(k,j,i-1) )         &
-                         -ABS( u_comp ) * ( sk(k,j,i) - sk(k,j,i-1) )         &
-                             ) * adv_sca_1 
-
-                   u_comp = u(k,j,i+1) - u_gtrans
-                   fr_1   =  ( u_comp   * ( sk(k,j,i+1) + sk(k,j,i) )         &
-                         -ABS( u_comp ) * ( sk(k,j,i+1) - sk(k,j,i) )         &
-                             ) * adv_sca_1 
-
-                   v_comp = v(k,j,i) - v_gtrans
-                   fs_1   =  ( v_comp   * ( sk(k,j,i) + sk(k,j-1,i) )         &
-                         -ABS( v_comp ) * ( sk(k,j,i) - sk(k,j-1,i) )         &
-                             ) * adv_sca_1 
-
-                   v_comp = v(k,j+1,i) - v_gtrans
-                   fn_1   =  ( v_comp   * ( sk(k,j+1,i) + sk(k,j,i) )         &
-                         -ABS( v_comp ) * ( sk(k,j+1,i) - sk(k,j,i) )         &
-                             ) * adv_sca_1 
-
-                   fd_1   = (  w(k-1,j,i)   * ( sk(k,j,i) + sk(k-1,j,i) )     &
-                         -ABS( w(k-1,j,i) ) * ( sk(k,j,i) - sk(k-1,j,i) )     &
-                            ) * adv_sca_1 * rho_air_zw(k)
-
-                   ft_1   = (  w(k,j,i)   * ( sk(k+1,j,i) + sk(k,j,i) )       &
-                         -ABS( w(k,j,i) ) * ( sk(k+1,j,i) - sk(k,j,i) )       &
-                            ) * adv_sca_1 * rho_air_zw(k)
-!
-!--                Calculate ratio of upwind gradients. Note, Min/Max is just
-!--                to avoid if statements.
-                   rl     = ( MAX( 0.0_wp, u(k,j,i) - u_gtrans ) *            & 
-                               ABS( ( sk(k,j,i-1) - sk(k,j,i-2)            ) /&
-                                    ( sk(k,j,i)   - sk(k,j,i-1) + 1E-20_wp )  &
-                                  ) +                                         & 
-                              MIN( 0.0_wp, u(k,j,i) - u_gtrans ) *            &
-                               ABS( ( sk(k,j,i)   - sk(k,j,i+1)            ) /&
-                                    ( sk(k,j,i-1) - sk(k,j,i)   + 1E-20_wp )  &
-                                  )                                           &
-                            ) / ABS( u(k,j,i) - u_gtrans + 1E-20_wp )
-
-                   rr     = ( MAX( 0.0_wp, u(k,j,i+1) - u_gtrans ) *          & 
-                               ABS( ( sk(k,j,i)   - sk(k,j,i-1)            ) /&
-                                    ( sk(k,j,i+1) - sk(k,j,i)   + 1E-20_wp )  &
-                                  ) +                                         & 
-                              MIN( 0.0_wp, u(k,j,i+1) - u_gtrans ) *          &
-                               ABS( ( sk(k,j,i+1) - sk(k,j,i+2)            ) /&
-                                    ( sk(k,j,i)   - sk(k,j,i+1) + 1E-20_wp )  &
-                                  )                                           &
-                            ) / ABS( u(k,j,i+1) - u_gtrans + 1E-20_wp )
-
-                   rs     = ( MAX( 0.0_wp, v(k,j,i) - v_gtrans ) *            & 
-                               ABS( ( sk(k,j-1,i) - sk(k,j-2,i)            ) /&
-                                    ( sk(k,j,i)   - sk(k,j-1,i) + 1E-20_wp )  &
-                                  ) +                                         & 
-                              MIN( 0.0_wp, v(k,j,i) - v_gtrans ) *            &
-                               ABS( ( sk(k,j,i)   - sk(k,j+1,i)            ) /&
-                                    ( sk(k,j-1,i) - sk(k,j,i)   + 1E-20_wp )  &
-                                  )                                           &
-                            ) / ABS( v(k,j,i) - v_gtrans + 1E-20_wp )
-
-                   rn     = ( MAX( 0.0_wp, v(k,j+1,i) - v_gtrans ) *          & 
-                               ABS( ( sk(k,j,i)   - sk(k,j-1,i)            ) /&
-                                    ( sk(k,j+1,i) - sk(k,j,i)   + 1E-20_wp )  &
-                                  ) +                                         & 
-                              MIN( 0.0_wp, v(k,j+1,i) - v_gtrans ) *          &
-                               ABS( ( sk(k,j+1,i) - sk(k,j+2,i)            ) /&
-                                    ( sk(k,j,i)   - sk(k,j+1,i) + 1E-20_wp )  &
-                                  )                                           &
-                            ) / ABS( v(k,j+1,i) - v_gtrans + 1E-20_wp )     
-!   
-!--                Reuse k_mm and compute k_mmm for the vertical gradient ratios. 
-!--                Note, for vertical advection below the third grid point above 
-!--                surface ( or below the model top) rd and rt are set to 0, i.e. 
-!--                use of first order scheme is enforced.
-                   k_mmm  = k - 3 * ibit8
-
-                   rd     = ( MAX( 0.0_wp, w(k-1,j,i) ) *                     & 
-                            ABS( ( sk(k_mm,j,i) - sk(k_mmm,j,i)           ) / &
-                                 ( sk(k-1,j,i)  - sk(k_mm,j,i) + 1E-20_wp )   &
-                               ) +                                            & 
-                              MIN( 0.0_wp, w(k-1,j,i) ) *                     &
-                            ABS( ( sk(k-1,j,i) - sk(k,j,i)            ) /     &
-                                 ( sk(k_mm,j,i) - sk(k-1,j,i)   + 1E-20_wp )  &
-                               )                                              &
-                            ) * ibit8 / ABS( w(k-1,j,i) + 1E-20_wp ) 
- 
-                   rt     = ( MAX( 0.0_wp, w(k,j,i) ) *                       & 
-                            ABS( ( sk(k,j,i)   - sk(k-1,j,i)            ) /   &
-                                 ( sk(k+1,j,i) - sk(k,j,i)   + 1E-20_wp )     &
-                               ) +                                            & 
-                              MIN( 0.0_wp, w(k,j,i) ) *                       &
-                            ABS( ( sk(k+1,j,i) - sk(k_pp,j,i)           ) /   &
-                                 ( sk(k,j,i)   - sk(k+1,j,i) + 1E-20_wp )     &
-                               )                                              &
-                            ) * ibit8 / ABS( w(k,j,i) + 1E-20_wp ) 
-!
-!--                Calculate empirical limiter function (van Albada2 limiter).
-                   phi_l = MIN( 1.0_wp, ( 2.0_wp * ABS( rl ) ) /              &
-                                        ( rl**2 + 1.0_wp ) ) 
-                   phi_r = MIN( 1.0_wp, ( 2.0_wp * ABS( rr ) ) /              &
-                                        ( rr**2 + 1.0_wp ) ) 
-                   phi_s = MIN( 1.0_wp, ( 2.0_wp * ABS( rs ) ) /              &
-                                        ( rs**2 + 1.0_wp ) ) 
-                   phi_n = MIN( 1.0_wp, ( 2.0_wp * ABS( rn ) ) /              &
-                                        ( rn**2 + 1.0_wp ) ) 
-                   phi_d = MIN( 1.0_wp, ( 2.0_wp * ABS( rd ) ) /              &
-                                        ( rd**2 + 1.0_wp ) ) 
-                   phi_t = MIN( 1.0_wp, ( 2.0_wp * ABS( rt ) ) /              &
-                                        ( rt**2 + 1.0_wp ) ) 
-!
-!--                Calculate the resulting monotone flux. 
-                   swap_flux_x_local(k,j) = fl_1 - phi_l *                    &
-                                          ( fl_1 - swap_flux_x_local(k,j) )
-                   flux_r(k)              = fr_1 - phi_r *                    &
-                                          ( fr_1 - flux_r(k)              )
-                   swap_flux_y_local(k)   = fs_1 - phi_s *                    &
-                                          ( fs_1 - swap_flux_y_local(k)   )
-                   flux_n(k)              = fn_1 - phi_n *                    &
-                                          ( fn_1 - flux_n(k)              )
-                   flux_d                 = fd_1 - phi_d *                    &
-                                          ( fd_1 - flux_d                 )
-                   flux_t(k)              = ft_1 - phi_t *                    &
-                                          ( ft_1 - flux_t(k)              )
-!
-!--                Moreover, modify dissipation flux according to the limiter. 
-                   swap_diss_x_local(k,j) = swap_diss_x_local(k,j) * phi_l
-                   diss_r(k)              = diss_r(k)              * phi_r
-                   swap_diss_y_local(k)   = swap_diss_y_local(k)   * phi_s
-                   diss_n(k)              = diss_n(k)              * phi_n
-                   diss_d                 = diss_d                 * phi_d
-                   diss_t(k)              = diss_t(k)              * phi_t
-
-                ENDIF
 !
 !--             Calculate the divergence of the velocity field. A respective
Index: palm/trunk/SOURCE/check_parameters.f90
===================================================================
--- palm/trunk/SOURCE/check_parameters.f90	(revision 2199)
+++ palm/trunk/SOURCE/check_parameters.f90	(revision 2200)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! 
+! monotonic_adjustment removed
 ! 
 ! Former revisions:
@@ -804,5 +804,5 @@
        action = ' '
        IF ( scalar_advec /= 'pw-scheme' .AND. scalar_advec /= 'ws-scheme'      &
-      .AND. scalar_advec /= 'ws-scheme-mono' )  THEN
+          )  THEN
           WRITE( action, '(A,A)' )  'scalar_advec = ', scalar_advec
        ENDIF
@@ -1002,6 +1002,5 @@
        CALL message( 'check_parameters', 'PA0022', 1, 2, 0, 6, 0 )
     ENDIF
-    IF ( ( momentum_advec == 'ws-scheme' .OR.  scalar_advec == 'ws-scheme'     &
-           .OR. scalar_advec == 'ws-scheme-mono' )                             &
+    IF ( ( momentum_advec == 'ws-scheme' .OR.  scalar_advec == 'ws-scheme' )   &
            .AND. ( timestep_scheme == 'euler' .OR.                             &
                    timestep_scheme == 'runge-kutta-2' ) )                      &
@@ -1013,5 +1012,5 @@
     ENDIF
     IF ( scalar_advec /= 'pw-scheme'  .AND.  scalar_advec /= 'ws-scheme' .AND. &
-         scalar_advec /= 'ws-scheme-mono' .AND. scalar_advec /= 'bc-scheme' )  &
+         scalar_advec /= 'bc-scheme' )                                         &
     THEN
        message_string = 'unknown advection scheme: scalar_advec = "' //        &
@@ -1027,7 +1026,7 @@
     ENDIF
 
-    IF ( use_sgs_for_particles  .AND.  .NOT. cloud_droplets  .AND.               &
-         .NOT. use_upstream_for_tke  .AND.                                       &
-         ( scalar_advec /= 'ws-scheme'  .AND.  scalar_advec /= 'ws-scheme-mono' )&
+    IF ( use_sgs_for_particles  .AND.  .NOT. cloud_droplets  .AND.             &
+         .NOT. use_upstream_for_tke  .AND.                                     &
+         scalar_advec /= 'ws-scheme'                                           &
        )  THEN
        use_upstream_for_tke = .TRUE.
@@ -1046,8 +1045,6 @@
 !
 !-- Set LOGICAL switches to enhance performance
-    IF ( momentum_advec == 'ws-scheme' )       ws_scheme_mom = .TRUE.
-    IF ( scalar_advec   == 'ws-scheme' .OR.                                    &
-         scalar_advec   == 'ws-scheme-mono' )  ws_scheme_sca = .TRUE.
-    IF ( scalar_advec   == 'ws-scheme-mono' )  monotonic_adjustment = .TRUE.
+    IF ( momentum_advec == 'ws-scheme' )  ws_scheme_mom = .TRUE.
+    IF ( scalar_advec   == 'ws-scheme' )  ws_scheme_sca = .TRUE.
 
 
@@ -1624,7 +1621,5 @@
        ENDIF
        IF ( momentum_advec /= 'pw-scheme'  .AND.                               &
-          ( momentum_advec /= 'ws-scheme'  .AND.                               &
-            momentum_advec /= 'ws-scheme-mono' )                               &
-          )  THEN
+            momentum_advec /= 'ws-scheme' )  THEN
 
           message_string = 'non-cyclic lateral boundaries do not allow ' //    &
@@ -1633,7 +1628,5 @@
        ENDIF
        IF ( scalar_advec /= 'pw-scheme'  .AND.                                 &
-          ( scalar_advec /= 'ws-scheme'  .AND.                                 &
-            scalar_advec /= 'ws-scheme-mono' )                                 &
-          )  THEN
+            scalar_advec /= 'ws-scheme' )  THEN
           message_string = 'non-cyclic lateral boundaries do not allow ' //    &
                            'scalar_advec = "' // TRIM( scalar_advec ) // '"'
Index: palm/trunk/SOURCE/header.f90
===================================================================
--- palm/trunk/SOURCE/header.f90	(revision 2199)
+++ palm/trunk/SOURCE/header.f90	(revision 2200)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! 
+! monotonic_adjustment removed
 ! 
 ! Former revisions:
@@ -601,6 +601,4 @@
     ELSEIF ( scalar_advec == 'ws-scheme' )  THEN
        WRITE ( io, 504 )
-    ELSEIF ( scalar_advec == 'ws-scheme-mono' )  THEN
-       WRITE ( io, 513 )
     ELSE
        WRITE ( io, 118 )
@@ -2317,6 +2315,4 @@
             ' Time:                 ',A8,6X,'Run-No.:   ',I2.2/     &
             ' Run on host:        ',A10,6X,'En-No.:    ',I2.2)
-513 FORMAT (' --> Scalar advection via Wicker-Skamarock-Scheme 5th order ' // & 
-            '+ monotonic adjustment')
 600 FORMAT (/' Nesting informations:'/ &
             ' --------------------'/ &
Index: palm/trunk/SOURCE/init_grid.f90
===================================================================
--- palm/trunk/SOURCE/init_grid.f90	(revision 2199)
+++ palm/trunk/SOURCE/init_grid.f90	(revision 2200)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! 
+! monotonic_adjustment removed
 ! 
 ! Former revisions:
@@ -1454,6 +1454,6 @@
 !-- Init flags for ws-scheme to degrade order of the numerics near walls, i.e. 
 !-- to decrease the numerical stencil appropriately.
-    IF ( momentum_advec == 'ws-scheme'  .OR.  scalar_advec == 'ws-scheme'  .OR.&
-         scalar_advec   == 'ws-scheme-mono' )  THEN
+    IF ( momentum_advec == 'ws-scheme'  .OR.  scalar_advec == 'ws-scheme'      &
+       )  THEN
        CALL ws_init_flags
     ENDIF
Index: palm/trunk/SOURCE/init_pegrid.f90
===================================================================
--- palm/trunk/SOURCE/init_pegrid.f90	(revision 2199)
+++ palm/trunk/SOURCE/init_pegrid.f90	(revision 2200)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! ------------------
-! 
+! monotonic_adjustment removed
 !
 ! Former revisions:
@@ -677,5 +677,4 @@
 !-- Determine the number of ghost point layers
     IF ( ( scalar_advec == 'ws-scheme' .AND. .NOT. neutral ) .OR.             &
-         scalar_advec == 'ws-scheme-mono' .OR.                                &
          momentum_advec == 'ws-scheme' )  THEN
        nbgp = 3
Index: palm/trunk/SOURCE/modules.f90
===================================================================
--- palm/trunk/SOURCE/modules.f90	(revision 2199)
+++ palm/trunk/SOURCE/modules.f90	(revision 2200)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! ------------------
-! 
+! -monotonic_adjustment
 ! 
 ! Former revisions:
@@ -1140,5 +1140,4 @@
     LOGICAL ::  microphysics_seifert = .FALSE.               !< 
     LOGICAL ::  mg_switch_to_pe0 = .FALSE.                   !< 
-    LOGICAL ::  monotonic_adjustment = .FALSE.               !< 
     LOGICAL ::  nest_bound_l = .FALSE.                       !< nested boundary on left side
     LOGICAL ::  nest_bound_n = .FALSE.                       !< nested boundary on north side
Index: palm/trunk/SOURCE/radiation_model_mod.f90
===================================================================
--- palm/trunk/SOURCE/radiation_model_mod.f90	(revision 2199)
+++ palm/trunk/SOURCE/radiation_model_mod.f90	(revision 2200)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! 
+! Bugfix in call of exchange_horiz_2d and read restart data
 ! 
 ! Former revisions:
@@ -1568,6 +1568,6 @@
        CALL exchange_horiz( rad_sw_cs_hr, nbgp )
 
-       CALL exchange_horiz_2d( rad_net, nbgp )
-       CALL exchange_horiz_2d( rad_lw_out_change_0, nbgp )
+       CALL exchange_horiz_2d( rad_net )
+       CALL exchange_horiz_2d( rad_lw_out_change_0 )
 #endif
 
@@ -3466,5 +3466,5 @@
                       IF ( radiation_scheme == 'clear-sky'  .OR.               &
                            radiation_scheme == 'constant')  THEN
-                         READ ( 13 )  tmp_2d
+                         READ ( 13 )  tmp_3d2
                          rad_lw_in(0:0,nysc-nbgp:nync+nbgp,nxlc-nbgp:nxrc+nbgp) =&
                              tmp_3d2(0:0,nysf-nbgp:nynf+nbgp,nxlf-nbgp:nxrf+nbgp)
@@ -3488,5 +3488,5 @@
                       IF ( radiation_scheme == 'clear-sky'  .OR.               &
                            radiation_scheme == 'constant')  THEN
-                         READ ( 13 )  tmp_2d
+                         READ ( 13 )  tmp_3d2
                          rad_lw_in_av(0:0,nysc-nbgp:nync+nbgp,nxlc-nbgp:nxrc+nbgp) =&
                              tmp_3d2(0:0,nysf-nbgp:nynf+nbgp,nxlf-nbgp:nxrf+nbgp)
@@ -3510,5 +3510,5 @@
                       IF ( radiation_scheme == 'clear-sky'  .OR.               &
                            radiation_scheme == 'constant')  THEN
-                         READ ( 13 )  tmp_2d
+                         READ ( 13 )  tmp_3d2
                          rad_lw_out(0:0,nysc-nbgp:nync+nbgp,nxlc-nbgp:nxrc+nbgp) =&
                              tmp_3d2(0:0,nysf-nbgp:nynf+nbgp,nxlf-nbgp:nxrf+nbgp)
@@ -3532,5 +3532,5 @@
                       IF ( radiation_scheme == 'clear-sky'  .OR.               &
                            radiation_scheme == 'constant')  THEN
-                         READ ( 13 )  tmp_2d
+                         READ ( 13 )  tmp_3d2
                          rad_lw_out_av(0:0,nysc-nbgp:nync+nbgp,nxlc-nbgp:nxrc+nbgp) =&
                              tmp_3d2(0:0,nysf-nbgp:nynf+nbgp,nxlf-nbgp:nxrf+nbgp)
@@ -3594,5 +3594,5 @@
                       IF ( radiation_scheme == 'clear-sky'  .OR.               &
                            radiation_scheme == 'constant')  THEN
-                         READ ( 13 )  tmp_2d
+                         READ ( 13 )  tmp_3d2
                          rad_sw_in(0:0,nysc-nbgp:nync+nbgp,nxlc-nbgp:nxrc+nbgp) =&
                              tmp_3d2(0:0,nysf-nbgp:nynf+nbgp,nxlf-nbgp:nxrf+nbgp)
@@ -3616,5 +3616,5 @@
                       IF ( radiation_scheme == 'clear-sky'  .OR.               &
                            radiation_scheme == 'constant')  THEN
-                         READ ( 13 )  tmp_2d
+                         READ ( 13 )  tmp_3d2
                          rad_sw_in_av(0:0,nysc-nbgp:nync+nbgp,nxlc-nbgp:nxrc+nbgp) =&
                              tmp_3d2(0:0,nysf-nbgp:nynf+nbgp,nxlf-nbgp:nxrf+nbgp)
@@ -3638,5 +3638,5 @@
                       IF ( radiation_scheme == 'clear-sky'  .OR.               &
                            radiation_scheme == 'constant')  THEN
-                         READ ( 13 )  tmp_2d
+                         READ ( 13 )  tmp_3d2
                          rad_sw_out(0:0,nysc-nbgp:nync+nbgp,nxlc-nbgp:nxrc+nbgp) =&
                              tmp_3d2(0:0,nysf-nbgp:nynf+nbgp,nxlf-nbgp:nxrf+nbgp)
@@ -3660,5 +3660,5 @@
                       IF ( radiation_scheme == 'clear-sky'  .OR.               &
                            radiation_scheme == 'constant')  THEN
-                         READ ( 13 )  tmp_2d
+                         READ ( 13 )  tmp_3d2
                          rad_sw_out_av(0:0,nysc-nbgp:nync+nbgp,nxlc-nbgp:nxrc+nbgp) =&
                              tmp_3d2(0:0,nysf-nbgp:nynf+nbgp,nxlf-nbgp:nxrf+nbgp)
